ARCHIVESDRIVE HB

オイラはホームベーカリー!

anyenv 環境下での **env の plugin について

結論から言うと、 github のページ通りインストールした場合は ~/.anyenv/envs/**env/plugins/ 以下にインストールすれば動きます。

ndenv の例

yarn 入れるの忘れて v8.10.0 入れてしまったので、 ndenv-yarn-install 入れつつ再インストールして動きを見ます。

ndenv-yarn-install インストール

○ → git clone https://github.com/pine/ndenv-yarn-install.git  /Users/USER/.anyenv/envs/ndenv/plugins/ndenv-yarn-install

動作確認

node インストール時に一緒に yarn も入るかな? すでにインストール済みの v8.10.0 を再インストールして動作確認します。 continue with installation? (y/N)y と答えれば再インストールできます。

○ → ndenv install 8.10.0
ndenv: /Users/USER/.anyenv/envs/ndenv/versions/8.10.0 already exists
continue with installation? (y/N) y
Downloading node-v8.10.0-darwin-x64.tar.gz...
-> https://nodejs.org/dist/v8.10.0/node-v8.10.0-darwin-x64.tar.gz
Installing node-v8.10.0-darwin-x64...
Installed node-v8.10.0-darwin-x64 to /Users/USER/.anyenv/envs/ndenv/versions/8.10.0

Installing Yarn...
/Users/USER/.anyenv/envs/ndenv/versions/8.10.0/bin/yarn -> /Users/USER/.anyenv/envs/ndenv/versions/8.10.0/lib/node_modules/yarn/bin/yarn.js
/Users/USER/.anyenv/envs/ndenv/versions/8.10.0/bin/yarnpkg -> /Users/USER/.anyenv/envs/ndenv/versions/8.10.0/lib/node_modules/yarn/bin/yarn.js
+ yarn@1.12.3
added 1 package in 1.145s
Installed Yarn 1.12.3

やったね! yarn もインストールされました。